import { ApiProperty } from '@nestjs/swagger';
import { User } from 'src/users/entities/user.entity';

export class CreateSwipeResponseDto {
  @ApiProperty()
  id: number;

  @ApiProperty()
  sourceUser: Pick<User, 'id' | 'name' | 'email'>;

  @ApiProperty()
  targetUser: Pick<User, 'id' | 'name' | 'email'>;

  @ApiProperty()
  liked: boolean;

  @ApiProperty()
  createdAt: Date;
}
