import { Entity, ManyToOne, PrimaryColumn } from 'typeorm';
import { Pair } from './pair.entity';
import { User } from 'src/users/entities/user.entity';

@Entity('pair-members')
export class PairMember {
  @PrimaryColumn({ type: 'int4', name: 'pairId' })
  pairId: number;

  @PrimaryColumn({ type: 'int', name: 'userId' })
  userId: number;

  // @PrimaryColumn('int', { name: 'pairId' })
  @ManyToOne(() => Pair, (pair) => pair.pairMembers)
  pair: Pair;

  // @PrimaryColumn('int', { name: 'userId' })
  @ManyToOne(() => User)
  user: User;
}
